KDE 4.7 PyKDE API Reference

- KDE's Python API

# KNameAndUrlInputDialog Class Reference

`from PyKDE4.kio import *`

Inherits: KDialog → QDialog → QWidget → QObject

## Detailed Description

Dialog to ask for a name (e.g. filename) and a URL Basically a merge of KLineEditDlg and KUrlRequesterDlg ;)

Since:
  4.5

Author:
  David Faure <faure@kde.org>

## Methods
| __init__ (self, QString nameLabel, QString urlLabel, KUrl startDir, QWidget parent)
QString | name (self)
| setSuggestedName (self, QString name)
| setSuggestedUrl (self, KUrl url)
KUrl | url (self)

## Method Documentation

__init__ | ( | self, |
|  | QString | nameLabel,
|  | QString | urlLabel,
|  | KUrl | startDir,
|  | QWidget | parent
| ) |  |  |

Parameters:

  | nameLabel | label for the name field
  | urlLabel | label for the URL requester
  | startDir | start directory for the URL requester (optional)
  | parent | parent widget

QString name | ( |  | self ) |

Returns:
  the name the user entered Empty if the dialog was cancelled.

setSuggestedName | ( | self, |
|  | QString | name
| ) |  |  |

Pre-fill the name lineedit.

setSuggestedUrl | ( | self, |
|  | KUrl | url
| ) |  |  |

Pre-fill the URL requester.

KUrl url | ( |  | self ) |

Returns:
  the URL the user entered Empty if the dialog was cancelled.